# eric3.VCS.mercurialPackage.OptionsDialog

Module implementing a dialog to enter options used to start a project in the VCS.

### Classes

HgOptionsDialog | Class implementing a dialog to enter options used to start a project in the repository.

### Functions

None

## HgOptionsDialog

Class implementing a dialog to enter options used to start a project in the repository.

### Derived from

HgOptionsForm

### Methods

HgOptionsDialog | Constructor
getData | Public slot to retrieve the data entered into the dialog.

### HgOptionsDialog (Constructor)

HgOptionsDialog(project, parent=None)

Constructor

project
  reference to the project object
parent
  parent widget (QWidget)

### HgOptionsDialog.getData

getData()

Public slot to retrieve the data entered into the dialog.

Returns:
  a dictionary containing the data entered

Up